KDE 4.7 PyKDE API Reference

- KDE's Python API

# VideoWidget Class Reference

`from PyKDE4.phonon import *`

Inherits: QWidget → QObject,Phonon.AbstractVideoOutput → Phonon.MediaNode
Namespace: Phonon

## Detailed Description

\class VideoWidget videowidget.h phonon/VideoWidget Widget to display video.

This widget shows the video signal.

     MediaObject *media = new MediaObject(parent);
     VideoWidget *vwidget = new VideoWidget(parent);
     Phonon.createPath(media, vwidget);

Author:
  Matthias Kretz <kretz@kde.org>

## Enumerations

AspectRatio | { AspectRatioAuto, AspectRatioWidget, AspectRatio4_3, AspectRatio16_9 }
ScaleMode | { FitInView, ScaleAndCrop }

## Methods

| __init__ (self, QWidget parent=0)
Phonon.VideoWidget.AspectRatio | aspectRatio (self)
float | brightness (self)
float | contrast (self)
| enterFullScreen (self)
bool | event (self, QEvent a0)
| exitFullScreen (self)
float | hue (self)
| mouseMoveEvent (self, QMouseEvent a0)
float | saturation (self)
Phonon.VideoWidget.ScaleMode | scaleMode (self)
| setAspectRatio (self, Phonon.VideoWidget.AspectRatio a0)
| setBrightness (self, float value)
| setContrast (self, float value)
| setFullScreen (self, bool fullscreen)
| setHue (self, float value)
| setSaturation (self, float value)
| setScaleMode (self, Phonon.VideoWidget.ScaleMode a0)
QImage | snapshot (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructs a new video widget with a parent.

Phonon.VideoWidget.AspectRatio aspectRatio | ( |  | self ) |

float brightness | ( |  | self ) |

float contrast | ( |  | self ) |

enterFullScreen | ( |  | self ) |

Convenience slot, calling setFullScreen(true)

bool event | ( | self, |
|  | QEvent | a0
| ) |  |  |

exitFullScreen | ( |  | self ) |

Convenience slot, calling setFullScreen(false)

float hue | ( |  | self ) |

mouseMoveEvent | ( | self, |
|  | QMouseEvent | a0
| ) |  |  |

float saturation | ( |  | self ) |

Phonon.VideoWidget.ScaleMode scaleMode | ( |  | self ) |

setAspectRatio | ( | self, |
|  | Phonon.VideoWidget.AspectRatio | a0
| ) |  |  |

setBrightness | ( | self, |
|  | float | value
| ) |  |  |

setContrast | ( | self, |
|  | float | value
| ) |  |  |

setFullScreen | ( | self, |
|  | bool | fullscreen
| ) |  |  |

setHue | ( | self, |
|  | float | value
| ) |  |  |

setSaturation | ( | self, |
|  | float | value
| ) |  |  |

setScaleMode | ( | self, |
|  | Phonon.VideoWidget.ScaleMode | a0
| ) |  |  |

QImage snapshot | ( |  | self ) |

## Enumeration Documentation

AspectRatio

Defines the width:height to be used for the video.

Enumerator:

  AspectRatioAuto = 0 |
  AspectRatioWidget = 1 |
  AspectRatio4_3 = 2 |
  AspectRatio16_9 = 3 |

ScaleMode

Enumerator:

  FitInView = 0 |
  ScaleAndCrop = 1 |